> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Plan Configurations

> Lists all plan configurations under your provider.



## OpenAPI

````yaml get /plan_configurations
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /plan_configurations:
    get:
      tags:
        - plan_configurations
      description: Lists all plan configurations under your provider.
      operationId: plan_configuration_list
      parameters:
        - in: query
          name: connection
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPlanConfigurationsList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedPlanConfigurationsList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/PlanConfigurations'
    PlanConfigurations:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        plan:
          type: string
          description: ID of plan
        termination_policy:
          allOf:
            - $ref: '#/components/schemas/TerminationPolicyEnum'
          readOnly: true
        waiting_period:
          allOf:
            - $ref: '#/components/schemas/WaitingPeriod'
        required_subclass:
          type: string
          nullable: true
          description: ID of subclass
        dependent_age_limit:
          type: integer
          nullable: true
          description: Maximum age for dependent coverage eligibility
        dependent_age_out_rule:
          allOf:
            - $ref: '#/components/schemas/AgeOutPolicyEnum'
          nullable: true
        base_plan_configuration:
          type: string
          nullable: true
          description: ID of the base plan configuration this inherits from
      required:
        - id
        - plan
        - termination_policy
        - waiting_period
    TerminationPolicyEnum:
      enum:
        - termination_date
        - end_of_month
        - fifteenth_of_month
      type: string
      description: |-
        * `termination_date` - Termination Date
        * `end_of_month` - End Of Month
        * `fifteenth_of_month` - Fifteenth Of Month
    WaitingPeriod:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        policy:
          $ref: '#/components/schemas/WaitingPeriodPolicyEnum'
        period:
          $ref: '#/components/schemas/WaitingPeriodPeriodEnum'
        duration:
          type: integer
          description: Number of periods (e.g. 2 [months], 60 [days])
        allow_coinciding_start:
          type: boolean
          description: >-
            Whether the waiting period can start on the same day as the hire
            date
      required:
        - id
        - policy
        - period
        - duration
        - allow_coinciding_start
    AgeOutPolicyEnum:
      enum:
        - end_of_month
        - end_of_year
        - date_of_birth
      type: string
      description: |-
        * `end_of_month` - End Of Month
        * `end_of_year` - End Of Year
        * `date_of_birth` - Date Of Birth
    WaitingPeriodPolicyEnum:
      enum:
        - end_of_waiting_period
        - first_of_month
      type: string
      description: >-
        * `end_of_waiting_period` - Coverage starts at the end of the waiting
        period

        * `first_of_month` - Coverage starts at the beginning of the month
        following the end of the waiting period
    WaitingPeriodPeriodEnum:
      enum:
        - day
        - month
      type: string
      description: |-
        * `day` - Waiting period measured in days
        * `month` - Waiting period measured in months 
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````